Name:    jadetex
Version: 3.13
Release: %mkrel 1
Group:   Publishing
Summary: TeX macros used by Jade TeX output
License: Freely redistributable without restriction
URL:     http://sourceforge.net/projects/jadetex

Requires: sgml-common >= 0.5
Requires: texlive-texmf
Requires: openjade
Requires(post): texlive
Requires(postun): texlive
Requires(post): texlive-texmf
Requires(postun): texlive-texmf
BuildRequires: unzip 
#BuildRequires: texlive 
#BuildRequires: texlive-texmf

BuildArch: noarch
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files (to obtain DVI,
PostScript, or PDF files, for example).

%prep
%setup -q

%build


%install
rm -rf %buildroot
mkdir -p %{buildroot}
cp -r * %{buildroot}

mkdir -p %{buildroot}%{_datadir}/texmf-dist/web2c
touch %{buildroot}%{_datadir}/texmf-dist/web2c/jadetex.fmt
touch %{buildroot}%{_datadir}/texmf-dist/web2c/pdfjadetex.fmt

%files
%ghost %{_datadir}/texmf-dist/web2c/jadetex.fmt
%ghost %{_datadir}/texmf-dist/web2c/pdfjadetex.fmt
%dir %{_datadir}/texmf-dist/tex/jadetex
%{_datadir}/texmf-dist/tex/jadetex/*
%{_datadir}/texmf-dist/web2c/*
%{_mandir}/man1/jadetex.1*
%{_bindir}/jadetex
%{_bindir}/pdfjadetex
%{_datadir}/doc/jadetex/index.html

%post
%{_bindir}/texhash 2> /tmp/jadetex-texhash.log
%{_bindir}/env - PATH=$PATH:%{_bindir} fmtutil-sys \
	       --cnffile %{_datadir}/texmf-dist/tex/jadetex/jadefmtutil.cnf \
	       --all --fmtdir %{_datadir}/texmf-dist/web2c \
	       > /tmp/jadetex-fmtutil-sys.log 2>&1

%postun
%{_bindir}/texhash 2> /dev/null


%triggerin -- texlive
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf-dist/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0


%changelog
* Mon Feb 09 2015 bb <bb> 3.13-1pclos2015
- update
